# Ticket Display

GDS only. To retrieve an NDC ticket use the Ticket Retrieve API. This API duplicates functionality available in the more recently released Ticket Retrieve API, which for GDS can retrieve a single or multiple tickets.

Endpoint: GET /air/ticket/tickets/{Identifier}
Version: 11.35.2
Security: bearerAuth

## Path parameters:

  - `Identifier` (string, required)
    The ticket number you wish to retrieve

## Query parameters:

  - `detailViewInd` (boolean)
    If true, TicketDetail will be returned

## Header parameters:

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Response 200 fields (application/json):

  - `TicketListResponse` (object)
    The response of a Ticket list endpoint request.

  - `TicketListResponse.TicketID` (array)

  - `TicketListResponse.TicketID.@type` (string, required)
    Discriminator classes TicketID, Ticket, TicketSummary, or TicketDetail
    Example: Ticket

  - `TicketListResponse.TicketID.objID` (string)

  - `TicketListResponse.TicketID.TicketRef` (string)

  - `TicketListResponse.TicketID.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `TicketListResponse.TicketID.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `TicketListResponse.TicketID.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `TicketListResponse.TicketID.numberOfTicketsIssued` (integer, required)
    The total number of tickets issued for the collection of flight segments example: 5

  - `TicketListResponse.TicketID.settlementAuthorizationCode` (string)
    Electronic Settlement Authorization Code - A unique number generated by a Carrier to authorize or approve a transaction
    Example: REA

  - `TicketListResponse.TicketID.tourCode` (string)
    A Tour Code on a flight ticket is a special code arranged between the Travel Agency and the Airlines
    Example: LHR

  - `TicketListResponse.TicketID.accountCode` (string)
    The Account Code used to classify financial activities
    Example: Pcard, travel

  - `TicketListResponse.TicketID.ticketDesignator` (string)
    A code on airline tickets to indicate what type of discount is applied
    Example: infant

  - `TicketListResponse.TicketID.PersonName` (object, required)
    Travelport+ limits the combination of Given and Surname to 22 characters. Given name must have at least one character. Any PersonName exceeding 22 characters is truncated in the response.

  - `TicketListResponse.TicketID.PersonName.@type` (string, required)
    Discriminator classes PersonName or PersonNameDetail
    Example: PersonNameDetail

  - `TicketListResponse.TicketID.PersonName.Prefix` (string)
    Salutation of honorific (e.g. Mr., Mrs., Ms., Miss, Dr.)
    Example: Mr

  - `TicketListResponse.TicketID.PersonName.Given` (string)
    Traveler first or given name.
    Example: John

  - `TicketListResponse.TicketID.PersonName.Middle` (string)
    Traveler middle name.
    Example: Erick

  - `TicketListResponse.TicketID.PersonName.Surname` (string, required)
    Traveler last name or surname.
    Example: Smith

  - `TicketListResponse.TicketID.ReservationLocator` (object)
    The supplier and the supplier's locator code for a product.

  - `TicketListResponse.TicketID.ReservationLocator.value` (string)
    The external or supplier-issued locator.
    Example: WTR45G

  - `TicketListResponse.TicketID.ReservationLocator.supplierCode` (string)
    Supplier Code; generally the releated IATA code for the carrier or agency.
    Example: AA

  - `TicketListResponse.TicketID.ReservationLocator.supplierName` (string)
    Name of the supplier
    Example: American Airlines

  - `TicketListResponse.TicketID.FormOfPayment` (array, required)

  - `TicketListResponse.TicketID.FormOfPayment.value` (string)
    The list of valid forms of payment.
    Enum: "AgencyAccount", "BSP", "Cash", "Document", "Invoice", "PaymentCard", "WaiverCode"

  - `TicketListResponse.TicketID.FormOfPayment.documentNumber` (string)
    Payment document number
    Example: 45

  - `TicketListResponse.TicketID.FormOfPayment.encryptedValue` (string)
    Encrypted value
    Example: BNASJASJKASKJASHJKASK

  - `TicketListResponse.TicketID.FormOfPayment.documentIssuer` (string)
    Document issuer
    Example: Alpha travel

  - `TicketListResponse.TicketID.FormOfPayment.documentType` (string)
    Document type like EMD, MCO
    Enum: "EMD", "MCO", "Ticket", "TASF", "Invoice"

  - `TicketListResponse.TicketID.TicketSegment` (array, required)

  - `TicketListResponse.TicketID.TicketSegment.@type` (string)
    Example: TicketSegment

  - `TicketListResponse.TicketID.TicketSegment.sequence` (integer)
    The sequence of the coupon within the ticket
    Example: 1

  - `TicketListResponse.TicketID.TicketSegment.ClassOfService` (string)
    The booking class of service. segment
    Example: Y

  - `TicketListResponse.TicketID.TicketSegment.FareBasisCode` (string)
    The Fare Basis code for this ticket segment.
    Example: YEE1Y

  - `TicketListResponse.TicketID.TicketSegment.Status` (string)
    Enum: "CheckedIn", "Closed", "Exchanged", "InfoOnly", "Lifted/Boarded", "OpenForUse", "OtherAirlineControl", "Void", "Refund", "Suspended", "Unavailable", "Used"

  - `TicketListResponse.TicketID.TicketSegment.Carrier` (string, required)
    The marketing carrier of the flight on this ticket segment.
    Example: DL

  - `TicketListResponse.TicketID.TicketSegment.Number` (string, required)
    The flight number.
    Example: 2490

  - `TicketListResponse.TicketID.TicketSegment.Departure` (object, required)
    Departure details for a given leg.

  - `TicketListResponse.TicketID.TicketSegment.Departure.@type` (string, required)
    Discriminator classes Departure or DepartureDetail
    Example: DepartureDetail

  - `TicketListResponse.TicketID.TicketSegment.Departure.location` (string, required)
    IATA code for departure airport or city for this leg of the itinerary.
    Example: AMS

  - `TicketListResponse.TicketID.TicketSegment.Departure.date` (string, required)
    Departure date in YYYY-MM-DD format.
    Example: 0011-10-17

  - `TicketListResponse.TicketID.TicketSegment.Departure.time` (string, required)
    Departure date in HH:mm:ss (24-hour format).
    Example: 04:45:00

  - `TicketListResponse.TicketID.TicketSegment.Arrival` (object, required)

  - `TicketListResponse.TicketID.TicketSegment.Arrival.@type` (string, required)
    Discriminator classes Arrival or ArrivalDetail
    Example: ArrivalDetail

  - `TicketListResponse.TicketID.TicketSegment.Arrival.location` (string, required)
    IATA code for arrival airport or city for this leg of the itinerary.
    Example: MAD

  - `TicketListResponse.TicketID.TicketSegment.Arrival.date` (string, required)
    Arrival date in YYYY-MM-DD format.
    Example: 0011-10-17

  - `TicketListResponse.TicketID.TicketSegment.Arrival.time` (string)
    Arrival date in HH:mm:ss (24-hour format).
    Example: 04:45:00

  - `TicketListResponse.TicketID.TicketSegment.FlightStatusCode` (string, required)
    A status code indicates the status of an air segment
    Example: HK

  - `TicketListResponse.TicketID.TicketSegment.ValidDateRange` (object)
    Specifies the begin and end date of an event, such as check-in and check-out dates.

  - `TicketListResponse.TicketID.TicketSegment.ValidDateRange.start` (string, required)
    Specifies the start date for an event, such as a booking or check-in date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `TicketListResponse.TicketID.TicketSegment.ValidDateRange.end` (string, required)
    Specifies the end date an event, such as a booking or check-out date in YYYY-MM-DD format.
    Example: 2026-03-03

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage` (object, required)

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.@type` (string)
    Example: TicketBaggage

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.quantity` (integer)
    How many baggage allowed
    Example: 2

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.Measurement` (array)
    The total dimensions  of baggage

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.Measurement.value` (number)
    Example: 2.22

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.Measurement.measurementType` (string)
    The type of measurement such as width, height, weight
    Enum: "Width", "Height", "Depth", "Weight", "OverallDimension"

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.Measurement.unit` (string)
    The unit of measure in a code format. Refer to OpenTravel Code List Unit of Measure Code (UOM).
    Enum: "Miles", "Kilometers", "Meters", "Millimeters", "Centimeters", "Yards", "Feet", "Inches", "Pixels", "Block", "Megabytes", "Gigabytes", "Square feet", "Square meters", "Pounds", "Kilograms", "Square inch", "Square yard", "Acre", "Square millimeter", "Square centimeter", "Hectare", "Ounce", "Gram", "Gallons", "Liters", "Kilowatts", "Cubic meters"

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.soldByPieceInd` (boolean)
    If true, the baggage item is sold as a piece allowance. Weight restrictions may also apply.

  - `TicketListResponse.TicketID.TicketSegment.TicketBaggage.soldByWeightInd` (boolean)
    If true, the baggage item is sold as a weight allowance. Number of item restrictions may also apply.

  - `TicketListResponse.TicketID.TicketSegment.connectionInd` (boolean)
    If true, the ticketSegment is a connecting segment
    Example: true

  - `TicketListResponse.TicketID.TicketPrice` (object, required)

  - `TicketListResponse.TicketID.TicketPrice.@type` (string)
    Example: TicketPrice

  - `TicketListResponse.TicketID.TicketPrice.fareCalculation` (string)
    Calculation of applicable fare
    Example: LON BA SIN R235.00YEE1Y BA LON R235.00YEE1Y END ROE0.645487

  - `TicketListResponse.TicketID.TicketPrice.fareBreakdown` (string)
    An itinerary used as the start and finish of a particular fare

  - `TicketListResponse.TicketID.TicketPrice.CurrencyCode` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `TicketListResponse.TicketID.TicketPrice.CurrencyCode.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `TicketListResponse.TicketID.TicketPrice.CurrencyCode.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `TicketListResponse.TicketID.TicketPrice.CurrencyCode.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `TicketListResponse.TicketID.TicketPrice.CurrencyCode.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `TicketListResponse.TicketID.TicketPrice.Base` (number, required)

  - `TicketListResponse.TicketID.TicketPrice.Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `TicketListResponse.TicketID.TicketPrice.Taxes.@type` (string, required)
    Discriminator class is TaxesDetail
    Example: TaxesDetail

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TotalTaxes` (number)
    A monetary amount, representing the total of all taxes included in this offer. Supports up to 4 decimal places; decimal place must be included.
    Example: 330.1

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo` (array)
    Returned for TripChange APIS only.

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.@type` (string)
    Example: TaxInfo

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.TaxCode` (string, required)
    The tax code
    Example: XF

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.Amount` (number, required)
    The amount of the tax applied

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.TaxBreakdown` (array, required)
    The breakdown of the tax for this tax code

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.TaxBreakdown.@type` (string)
    Example: TaxInfo

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.TaxBreakdown.AirportCode` (string, required)
    The airport location the tax applies to
    Example: MIA

  - `TicketListResponse.TicketID.TicketPrice.Taxes.TaxInfo.TaxBreakdown.Amount` (number)
    The amount of the tax applied

  - `TicketListResponse.TicketID.TicketPrice.Fees` (object)
    Includes TotalFees object to return the sum total of any fees.  
May include array of Fee objects to break down individual fees.  
Child class FeesDetail may also include a breakdown of the individual fees.

  - `TicketListResponse.TicketID.TicketPrice.Fees.@type` (string, required)
    Discriminator. Child class FeesDetail
    Example: FeesDetail

  - `TicketListResponse.TicketID.TicketPrice.Fees.TotalFees` (number)
    Total fees included in the TotalPrice. Supports up to 4 decimal places; decimal place needs to be included.
    Example: 111.11

  - `TicketListResponse.TicketID.TicketPrice.Fees.TotalAdditionalFeesPayableLocally` (number)
    Fees due separately at the property. Expected to be paid in local currency. These fees are not included in the Offer TotalPrice.
    Example: 2.1

  - `TicketListResponse.TicketID.TicketPrice.Total` (number, required)

  - `TicketListResponse.TicketID.TicketPrice.Commission` (object)
    GDS only; not supported for NDC.
Commission information.
Any commission filed by an airline in a CAT35 fare is returned in PriceBreakdownAir/Commission. The amount is either a percent of the fare component (@type CommissionPercent and the Percent object) or an amount (@type CommissionAmount and the Amount object).

  - `TicketListResponse.TicketID.TicketPrice.Commission.@type` (string, required)
    Discriminator. Child classes CommissionAmount or CommissionPercent
    Example: CommissionAmount

  - `TicketListResponse.TicketID.TicketPrice.Commission.application` (string)
    Type of commission
    Enum: "Full", "Partial", "Non-paying", "No-show", "Adjustment", "Commissionable"

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount` (object)
    Returned only in the Price APIs. GDS only; not supported for NDC.
The base amount of a ticket price or net price that is filed in local currency.
Returned when the origin currency is not the same as the PCC currency to show the currency in which the base fare has been filed.
When used for NetBaseAmount: Net ticket data (NTD) is returned in the AirPrice, AirReservation, Exchange Search, and Reservation Retrieve responses for any GDS fare that has a private fare component (fareType=AgencyPrivateFare). When NTD is returned, TermsAndConditionsFuill includes FareGuaranteePolicy to return the fare calculation indicator for the fare.   When NTD is returned, PriceBreakdown may include NetBaseAmount.

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount.value` (number)
    Filed amount value
    Example: 43.3422

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount.currencyCode` (string)
    Code for the currency in which the base fare was filed.
    Example: USD

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount.codeAuthority` (string)
    Filed amount currency code authority
    Example: Australian Dollar

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount.decimalPlace` (integer, required)
    Number of decimal places in the currency in ISO 4217 standard format.
    Example: 3

  - `TicketListResponse.TicketID.TicketPrice.FiledAmount.decimalAuthority` (string)
    ISO 4217 standard decimal authority
    Example: ISO 4217

  - `TicketListResponse.TicketID.TicketPrice.PaidTaxes` (object)
    Summary Taxes object

  - `TicketListResponse.TicketID.TicketPrice.PaidTaxes.@type` (string, required)
    Discriminator classes PaidTaxes or PaidTaxesDetail
    Example: PaidTaxesDetail

  - `TicketListResponse.TicketID.TicketPrice.PaidTaxes.TotalTaxes` (number)
    A monetary amount, up to 4 decimal places. Decimal place needs to be included.
    Example: 220.12

  - `TicketListResponse.TicketID.TicketPrice.iTFareInd` (boolean)
    if true, this is an IT fare and the base amount is not exposed
    Example: true

  - `TicketListResponse.TicketID.TicketPrice.bTFareInd` (boolean)
    if true, this is a BT fare and the base amount is not exposed
    Example: false

  - `TicketListResponse.TicketID.TicketPrice.NetAmount` (object)

  - `TicketListResponse.TicketID.TicketPrice.NetAmount.amount` (number, required)
    The base amount
    Example: 43.3422

  - `TicketListResponse.TicketID.TicketPrice.NetAmount.currencyCode` (string, required)
    Amount currency code
    Example: USD

  - `TicketListResponse.TicketID.TicketPrice.NetAmount.decimalPlace` (integer, required)
    ISO 4217 decimal standard
    Example: 3

  - `TicketListResponse.TicketID.TicketPrice.NetAmount.fareCalculation` (string)
    the fare calculation string
    Example: LON BA SIN R 234.00 BA LON R 234.00NUC468.00END

  - `TicketListResponse.TicketID.TicketPrice.NetAmount.rateOfExchange` (number)
    The rate of exchange used to convert the fare calculation
    Example: 1.234562

  - `TicketListResponse.TicketID.PassengerTypeCode` (string)
    Code used to identify Passengers according to various
    Example: PTC

  - `TicketListResponse.TicketID.ValidatingCarrier` (string)
    The plating carrier of the ticket
    Example: ticket prefix is 001, while United Airlines' prefix is 016.

  - `TicketListResponse.TicketID.PricingType` (string)
    How the price was created
    Enum: "Auto Priced", "Manually Price"

  - `TicketListResponse.TicketID.Restrictions` (array)
    restrictions associated with a particular fare
    Example: ["VALID BA ONLY/ NON REF","NON REF"]

  - `TicketListResponse.TicketID.AgencyInfo` (object)
    Detail of the travel agency that issues the ticket

  - `TicketListResponse.TicketID.AgencyInfo.ticketedDate` (string)
    Ticketed date
    Example: 2026-04-05

  - `TicketListResponse.TicketID.AgencyInfo.name` (string, required)
    Name of the Agency
    Example: Alpha travel

  - `TicketListResponse.TicketID.AgencyInfo.place` (string)
    Place of the agency
    Example: Marietta

  - `TicketListResponse.TicketID.AgencyInfo.ticketingPCC` (string)
    Ticketing PCC
    Example: 1CR

  - `TicketListResponse.TicketID.AgencyInfo.code` (string)
    Agency code
    Example: 12430870

  - `TicketListResponse.TicketID.AgencyInfo.salesType` (string)
    Sales type
    Example: Ticketing

  - `TicketListResponse.TicketID.AgencyInfo.ticketingCountry` (string, required)
    Ticketing country
    Example: US

  - `TicketListResponse.TicketID.AgencyInfo.ticketingCity` (string, required)
    Ticketing city
    Example: NYC

  - `TicketListResponse.TicketID.OriginalIssue` (object)

  - `TicketListResponse.TicketID.OriginalIssue.value` (string)

  - `TicketListResponse.TicketID.OriginalIssue.issuingCity` (string, required)
    Original Issuing city
    Example: NYC

  - `TicketListResponse.TicketID.OriginalIssue.issueDate` (string, required)
    Issue date
    Example: 2026-04-04

  - `TicketListResponse.TicketID.OriginalIssue.agencyCodeIATA` (string, required)
    Agency code
    Example: 89213476

  - `TicketListResponse.TicketID.PreviousIssue` (array)

  - `TicketListResponse.TicketID.PreviousIssue.value` (string)

  - `TicketListResponse.TicketID.PreviousIssue.issuingCity` (string)

  - `TicketListResponse.TicketID.PreviousIssue.issueDate` (string)

  - `TicketListResponse.TicketID.PreviousIssue.agencyCodeIATA` (string)

  - `TicketListResponse.SettlementAuthorizationCode` (string)

  - `TicketListResponse.@type` (string)
    Example: response

  - `TicketListResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `TicketListResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `TicketListResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `TicketListResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `TicketListResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `TicketListResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `TicketListResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `TicketListResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `TicketListResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `TicketListResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `TicketListResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `TicketListResponse.Result.Error.NameValuePair` (array)

  - `TicketListResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `TicketListResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `TicketListResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `TicketListResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `TicketListResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `TicketListResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `TicketListResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `TicketListResponse.Result.Warning.NameValuePair` (array)

  - `TicketListResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `TicketListResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `TicketListResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `TicketListResponse.NextSteps.NextStep` (array, required)

  - `TicketListResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `TicketListResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `TicketListResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `TicketListResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `TicketListResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `TicketListResponse.ReferenceList` (array)

  - `TicketListResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `TicketListResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `TicketListResponse.CurrencyRateConversion` (array)

  - `TicketListResponse.CurrencyRateConversion.@type` (string)

  - `TicketListResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `TicketListResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `TicketListResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `TicketListResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `TicketListResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `TicketListResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `TicketListResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `TicketListResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `TicketListResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `TicketListResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 400 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 401 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 402 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 403 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 404 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

## Response 500 fields (application/json):

  - `ErrorResponse` (object)
    Base common error response

  - `ErrorResponse.@type` (string)
    Example: response

  - `ErrorResponse.transactionId` (string)
    A unique system-generated (128 bit GUID format) transaction/tracking id for a single request and response (i.e. for a single transaction) used for internal tracking and troubleshooting.  
Also known as E2ETrackingId.  
Not returned in all Hotel API responses.
    Example: 49f58f5f-c443-43b4-9f5d-be405fd00a01

  - `ErrorResponse.traceId` (string)
    Used in hospitality workflows to provide a unique transaction or tracking id for a single request and response.  
For Air Eligibility, returned if a custom trace ID was sent in the request header.  
For Hotel Rules, returned if a custom trace ID was sent in the request header.
    Example: TraceID_123456

  - `ErrorResponse.correlationId` (string)
    Identifier used to correlate hotel API invocations across a multi-call business flows.

  - `ErrorResponse.reservationStatus` (string)
    Status of reservation or offer completion.
    Enum: "Success", "Fail", "Partial", "Pending", "OnHold", "Retry", "Other"

  - `ErrorResponse.Result` (object)
    Returns the error and/or warning message information, if applicable.

  - `ErrorResponse.Result.@type` (string)
    Discriminator class Result only
    Example: Result

  - `ErrorResponse.Result.status` (string)
    The status of an error or warning
    Enum: "Not processed", "Incomplete", "Complete", "Unknown"

  - `ErrorResponse.Result.Error` (array)
    A list of error information returned at the provider level for a response.

  - `ErrorResponse.Result.Error.@type` (string, required)
    Discriminator classes Error or ErrorDetail
    Example: ErrorDetail

  - `ErrorResponse.Result.Error.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Error.Message` (string)
    The Travelport standardized error or warning message
    Example: No flights found.

  - `ErrorResponse.Result.Error.NameValuePair` (array)

  - `ErrorResponse.Result.Error.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ErrorResponse.Result.Error.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ErrorResponse.Result.Error.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ErrorResponse.Result.Warning` (array)
    A list of warning information returned at the provider level for a response.

  - `ErrorResponse.Result.Warning.@type` (string, required)
    Discriminator classes Warning or WarningDetail
    Example: WarningDetail

  - `ErrorResponse.Result.Warning.StatusCode` (integer)
    Http standard response code
    Example: 200

  - `ErrorResponse.Result.Warning.Message` (string)
    The Travelport standardized error or warning message
    Example: Customer Loyalty could not be applied.

  - `ErrorResponse.Result.Warning.NameValuePair` (array)

  - `ErrorResponse.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ErrorResponse.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a Workbench, this value is the workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ErrorResponse.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ErrorResponse.NextSteps` (object)
    Container for the steps that describe actions that may be taken on the containing object.  
Not applicable for an Eligibility or Exchange response.

  - `ErrorResponse.NextSteps.baseURI` (string, required)
    The base portion of the URI in order to shorten the uris in the individual steps

  - `ErrorResponse.NextSteps.id` (string)
    Optional internally referenced id
    Example: 5

  - `ErrorResponse.NextSteps.NextStep` (array, required)

  - `ErrorResponse.NextSteps.NextStep.value` (string)
    Example: www.resourcelocation.com

  - `ErrorResponse.NextSteps.NextStep.id` (string)
    Identifier for the Next Step
    Example: 2

  - `ErrorResponse.NextSteps.NextStep.action` (string, required)
    The action this next step is intended to achieve
    Example: cancel

  - `ErrorResponse.NextSteps.NextStep.method` (string, required)
    Describes the set of potential methods that can be taken after an operation.
    Enum: "GET", "DELETE", "PUT", "POST"

  - `ErrorResponse.NextSteps.NextStep.description` (string)
    Additional clarification for the next step
    Example: remove offer from the order

  - `ErrorResponse.ReferenceList` (array)

  - `ErrorResponse.ReferenceList.@type` (string, required)
    Discriminator
- Air Search child classes are ReferenceListAmenity, ReferenceListBrand, ReferenceListFlight, ReferenceListProduct, ReferenceListTermsAndConditions, and ReferenceListUniversalProductAttribute.
- Air Price child classes are ReferenceListAmenity and ReferenceListBrand.
- FareRules child class is ReferenceListFlight.
- Search Ancillaries child class is ReferenceListFlight.
- Seat Map child class is ReferenceListSeatingChart.
- Hotel Availability child class is ReferenceListPropertyDates.
- Reservation and Reservation Workbench child classes are ReferenceListAmenity, ReferenceListBrand, and ReferenceListUniversalProductAttribute.
- Exchange Search child classes are ReferenceListBrand, ReferenceListFlight, and ReferenceListExchangedPrice.
- Reservation Receipt child classes are ReferenceListOffer and ReferenceListTraveler.
- Book_Traveler child class is ReferenceListTraveler.
    Example: ReferenceListFlight

  - `ErrorResponse.ReferenceList.id` (string)
    Uniquely identifies for the Reference List

  - `ErrorResponse.CurrencyRateConversion` (array)

  - `ErrorResponse.CurrencyRateConversion.@type` (string)

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency` (object, required)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 4

  - `ErrorResponse.CurrencyRateConversion.SourceCurrency.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate` (object, required)
    Conversion rate of SourceCurrency value to TargetCurrency value. This value can be used to calculate, independently of the API, conversion for the rates in the response. The response does not convert any amounts.

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.value` (number)

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAuthority` (string)
    Contextual rate authority
    Example: ISO 4217

  - `ErrorResponse.CurrencyRateConversion.ConversionRate.rateAsOf` (string)
    Rate as of
    Example: 2026-08-07T12:12:00Z

  - `ErrorResponse.Pagination` (object)
    Pagination object used when result sets span across a number of pages.

  - `ErrorResponse.Pagination.@type` (string, required)
    Example: Pagination

  - `ErrorResponse.Pagination.page` (integer, required)
    The current page number of the full result set
    Example: 1

  - `ErrorResponse.Pagination.pageSize` (integer, required)
    The total number of items on this page
    Example: 20

  - `ErrorResponse.Pagination.totalPages` (integer, required)
    The total number of pages in this result set
    Example: 5

  - `ErrorResponse.Pagination.totalItems` (integer, required)
    The total number of pages in this result set
    Example: 100

